Package skyview.survey

# Class XMLSurvey.ImageFinderCallBack

java.lang.Object
org.xml.sax.helpers.DefaultHandler
skyview.survey.XMLSurvey.ImageFinderCallBack

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

Enclosing class:
  `XMLSurvey`

protected class XMLSurvey.ImageFinderCallBack extends DefaultHandler
The class the is called to find images in the Survey XML file.

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] arr, int start, int len)`
`void`
`endElement(String uri, String localName, String qName)`
`void`
`startElement(String uri, String localName, String qName, Attributes attrib)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xml.sax.ContentHandler

`declaration`

## Method Details

### startElement

public void startElement(String uri, String localName, String qName, Attributes attrib)

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `DefaultHandler`

### endElement

public void endElement(String uri, String localName, String qName)

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `DefaultHandler`

### characters

public void characters(char[] arr, int start, int len)

Specified by:
  `characters` in interface `ContentHandler`
Overrides:
  `characters` in class `DefaultHandler`